Debian Bug report logs - #698209
ITP: librarian-puppet -- a bundler for your puppet infrastructure

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stig Sandbeck Mathisen <ssm@fnord.no>

Date: Tue, 15 Jan 2013 08:30:01 UTC

Owned by: Stig Sandbeck Mathisen <ssm@debian.org>

Severity: wishlist

Fixed in version librarian-puppet/0.9.8+ds-1

Done: Stig Sandbeck Mathisen <ssm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, Stig Sandbeck Mathisen <ssm@debian.org>:
Bug#698209; Package wnpp. (Tue, 15 Jan 2013 08:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stig Sandbeck Mathisen <ssm@fnord.no>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, Stig Sandbeck Mathisen <ssm@debian.org>. (Tue, 15 Jan 2013 08:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stig Sandbeck Mathisen <ssm@fnord.no>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: librarian-puppet -- a bundler for your puppet infrastructure
Date: Tue, 15 Jan 2013 09:27:42 +0100
Package: wnpp
Severity: wishlist
Owner: Stig Sandbeck Mathisen <ssm@debian.org>

* Package name    : librarian-puppet
  Version         : 0.9.7
  Upstream Author : Tim Sharpe <tim@github.com>
* URL             : https://github.com/rodjek/librarian-puppet
* License         : MIT
  Programming Lang: Ruby
  Description     : a bundler for your puppet infrastructure

Librarian-puppet is a bundler for your puppet infrastructure. You can use
librarian-puppet to manage the puppet modules your infrastructure depends on.
It is based on Librarian, a framework for writing bundlers, which are tools
that resolve, fetch, install, and isolate a project's dependencies.

Librarian-puppet manages your modules/ directory for you based on your
Puppetfile. Your Puppetfile becomes the authoritative source for what modules
you require and at what version, tag or branch.

Once using Librarian-puppet you should not modify the contents of your modules
directory. The individual modules' repos should be updated, tagged with a new
release and the version bumped in your Puppetfile.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 29 Jan 2013 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Stig Sandbeck Mathisen <ssm@debian.org>:
You have taken responsibility. (Fri, 12 Apr 2013 23:03:32 GMT) Full text and rfc822 format available.

Notification sent to Stig Sandbeck Mathisen <ssm@fnord.no>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 23:03:32 GMT) Full text and rfc822 format available.

Message #12 received at 698209-close@bugs.debian.org (full text, mbox):

From: Stig Sandbeck Mathisen <ssm@debian.org>
To: 698209-close@bugs.debian.org
Subject: Bug#698209: fixed in librarian-puppet 0.9.8+ds-1
Date: Fri, 12 Apr 2013 23:00:10 +0000
Source: librarian-puppet
Source-Version: 0.9.8+ds-1

We believe that the bug you reported is fixed in the latest version of
librarian-puppet, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698209@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stig Sandbeck Mathisen <ssm@debian.org> (supplier of updated librarian-puppet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Feb 2013 11:44:49 +0100
Source: librarian-puppet
Binary: librarian-puppet
Architecture: source all
Version: 0.9.8+ds-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Stig Sandbeck Mathisen <ssm@debian.org>
Description: 
 librarian-puppet - bundler for your puppet modules
Closes: 698209
Changes: 
 librarian-puppet (0.9.8+ds-1) unstable; urgency=low
 .
   * Initial release (Closes: #698209)
Checksums-Sha1: 
 0f1b9f34e884c539240ec90cacc8b270e3ef36d3 1498 librarian-puppet_0.9.8+ds-1.dsc
 584db1f5086e1f1b24203b1559d0c88cd3808115 9985 librarian-puppet_0.9.8+ds.orig.tar.gz
 d71b770ad1fb81cc1eebec332dbbe54e95061bf9 2771 librarian-puppet_0.9.8+ds-1.debian.tar.gz
 e88ef25ed1f114408b6d315e398e2a20df84137a 10152 librarian-puppet_0.9.8+ds-1_all.deb
Checksums-Sha256: 
 c66f5884297565adcfd29ac83e77679009f5693a3509fc4fb4edbf96f1756724 1498 librarian-puppet_0.9.8+ds-1.dsc
 4a9e1150c12b7b86b27229cf9e71620e6b130e37a359f58d02a37ada51f7d5ac 9985 librarian-puppet_0.9.8+ds.orig.tar.gz
 73eedb98565d363b9be50b5d6bd1c47966f303bf2fc377c5dcab1a0bbde95049 2771 librarian-puppet_0.9.8+ds-1.debian.tar.gz
 8faed87ae2dfe81857e92ce215bca9024f62aefe073377b14ed74f71cc23ff67 10152 librarian-puppet_0.9.8+ds-1_all.deb
Files: 
 82070a04f1a8d68f19c5f7bc24348b7c 1498 ruby optional librarian-puppet_0.9.8+ds-1.dsc
 84d73130834af96772d5fee2adaf6206 9985 ruby optional librarian-puppet_0.9.8+ds.orig.tar.gz
 0392cd1aeb65050d2359773fb7adef6c 2771 ruby optional librarian-puppet_0.9.8+ds-1.debian.tar.gz
 f8f43b6eed8cacdee3169b3702744fa0 10152 ruby optional librarian-puppet_0.9.8+ds-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEqAAYACgkQQONU2fom4u6nQQCeP14VHEVmZBNUgL5AXY+cbtGZ
AIUAoI9d/dvxKfTiEFKwinkdxViXW24E
=HLwd
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:27:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:30:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.